﻿using System;

namespace MapConsole
{
    public class Program
    {
        public static void Main(string[] args)
        {
            string line = "";
            do {
                Console.WriteLine("Введите комманду");
                line = Console.ReadLine();
                Action(line);
            } while (line != "exit");
        }

        protected static void Action(string action)
        {
            OsmImport osm = new OsmImport();
            switch (action) {
                case "create":
                    osm.Create();
                    break;
                case "update":
                    osm.Update();
                    break;
                case "index":
                    osm.Index();
                    break;
                case "relation":
                    osm.Relation().Wait();
                    break;
                case "relationId":
                    Console.WriteLine("Введите ID");
                    string line = Console.ReadLine();
                    osm.Relation(Int32.Parse(line)).Wait();
                    break;
            }
        }
    }
}
