using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MapsDb.Interfaces;
using MapsDb.Models;
using MapsModels.DsModels;
namespace MapsDb.DataService
{
    public class OrganizationDs : IOrganizationDs
    {
        private PostgresDbContext _context;
        public OrganizationDs(){
            _context = new PostgresDbContext();
        }
        public Task<IList<OrganizationSelectListDsM>> GetSelectListAsync(){
            return Task.Factory.StartNew(GetSelectList);
        }
        private IList<OrganizationSelectListDsM> GetSelectList()
        {
           return _context.Organization.Select(x => new OrganizationSelectListDsM
            {
                Id = x.Id, 
                Name = x.Name
            }).ToList();
        }

    }
}