using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MapsDb.Interfaces;
using MapsDb.Models;
using MapsModels.DsModels;
namespace MapsDb.DataService
{
    public class ServiceObjectTypeDs : IServiceObjectTypeDs
    {
        private PostgresDbContext _context;
        public ServiceObjectTypeDs(){
            _context = new PostgresDbContext();
        }
        public Task<IList<ServiceObjectTypeSelectListDsM>> GetSelectListAsync(){
            return Task.Factory.StartNew(GetSelectList);
        }
        private IList<ServiceObjectTypeSelectListDsM> GetSelectList()
        {
           return _context.ServiceObjectType.Select(x => new ServiceObjectTypeSelectListDsM
            {
                ServiceObjectTypeId = x.ServiceObjectTypeId, 
                Name = x.Name
            }).ToList();
        }

    }
}