using System.Collections.Generic;
using System.Threading.Tasks;
using MapsModels.DsModels;
using MapsDb.Models;
namespace MapsDb.Interfaces
{
    public interface IAuthorityDs
    {
        Task<IList<AuthorityEditDsM>> GetIndexListAsync(PaginationDsM pagination);
        Task<Authority> CreateAsync(AuthorityEditDsM authority);
        Task<Authority> UpdateAsync(AuthorityEditDsM authority, int id);
        Task<int> DeleteAsync(int Id);
    }
}