using System.Collections.Generic;
using System.Threading.Tasks;
using MapsModels.DsModels;
using MapsDb.Models;
namespace MapsDb.Interfaces
{
    public interface IFlowIntensityDs
    {
        Task<IList<FlowIntensityEditDsM>> GetIndexListAsync(PaginationDsM pagination);
        Task<FlowIntensity> CreateAsync(FlowIntensityEditDsM flowIntensity);
        Task<FlowIntensity> UpdateAsync(FlowIntensityEditDsM flowIntensity, int id);
        Task<int> DeleteAsync(int Id);
    }
}