using System.Collections.Generic;
using System.Threading.Tasks;
using MapsModels.DsModels;
using MapsDb.Models;
namespace MapsDb.Interfaces
{
    public interface IRoadServiceDs
    {
        Task<IList<RoadServiceEditDsM>> GetIndexListAsync(PaginationDsM pagination);
        Task<RoadService> CreateAsync(RoadServiceEditDsM roadService);
        Task<RoadService> UpdateAsync(RoadServiceEditDsM roadService, int id);
        Task<int> DeleteAsync(int Id);
    }
}