using System.Collections.Generic;
using System.Threading.Tasks;
using MapsModels.DsModels;
using MapsDb.Models;
namespace MapsDb.Interfaces
{
    public interface IRoadToCategoryDs
    {
        Task<IList<RoadToCategoryEditDsM>> GetIndexListAsync(PaginationDsM pagination);
        Task<RoadToCategory> CreateAsync(RoadToCategoryEditDsM data);
        Task<RoadToCategory> UpdateAsync(RoadToCategoryEditDsM data, int id);
        Task<int> DeleteAsync(int Id);
    }
}