using System.Collections.Generic;
using System.Threading.Tasks;
using MapsModels.DsModels;
using MapsDb.Models;
namespace MapsDb.Interfaces
{
    public interface IRoadWidthDs
    {
        Task<IList<RoadWidthEditDsM>> GetIndexListAsync(PaginationDsM pagination);
        Task<RoadWidth> CreateAsync(RoadWidthEditDsM data);
        Task<RoadWidth> UpdateAsync(RoadWidthEditDsM data, int id);
        Task<int> DeleteAsync(int Id);
    }
}