﻿using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class BusStop
    {
        public int Id { get; set; }
        public int? RoadId { get; set; }
        public int? RegionId { get; set; }
        public int? SettlementId { get; set; }
        public double? LocationLeft { get; set; }
        public double? LocationRight { get; set; }
        public int? SurfaceTypeId { get; set; }
        public int? CrossSectionNumber { get; set; }
        public string Position { get; set; }
        public int? AreaStopAvailability { get; set; }
        public int? PocketAvailability { get; set; }
        public int? AreaLandAvailability { get; set; }
        public int? ToiletAvailability { get; set; }
        public int? StateCommonId { get; set; }
        public int? BusStationCardId { get; set; }
        public double? BalanceCost { get; set; }
        public string RepairCertificate { get; set; }
        public int? DateActual { get; set; }
        public int? YearBuild { get; set; }
        public int? YearRepair { get; set; }

        public virtual Region Region { get; set; }
        public virtual Road Road { get; set; }
        public virtual Settlement Settlement { get; set; }
        public virtual StateCommon StateCommon { get; set; }
        public virtual SurfaceType SurfaceType { get; set; }
    }
}
