﻿using System;
using System.Collections.Generic;

namespace  MapsDb.Models
{
    public partial class CrossSection
    {
        public CrossSection()
        {
            Authority = new HashSet<Authority>();
            Contractor = new HashSet<Contractor>();
        }

        public int Id { get; set; }
        public int? RegionId { get; set; }
        public int? RoadId { get; set; }
        public double? LocationLeft { get; set; }
        public double? LocationRight { get; set; }
        public string Direction { get; set; }
        public int? SurfaceTypeId { get; set; }
        public double? LengthSection { get; set; }
        public double? LengthSurface { get; set; }
        public double? DistanceEdge { get; set; }
        public double? Width { get; set; }
        public double? Angle { get; set; }
        public int? TubeAvailability { get; set; }
        public int? SafetyAvailability { get; set; }
        public int? YearBuild { get; set; }
        public int? YearRepair { get; set; }
        public int? StateCommonId { get; set; }

        public virtual ICollection<Authority> Authority { get; set; }
        public virtual ICollection<Contractor> Contractor { get; set; }
        public virtual Region Region { get; set; }
        public virtual Road Road { get; set; }
        public virtual StateCommon StateCommon { get; set; }
        public virtual SurfaceType SurfaceType { get; set; }
    }
}
