﻿using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class FlowIntensity
    {
        public int Id { get; set; }
        public int? RoadId { get; set; }
        public int? RegionId { get; set; }
        public double? Location { get; set; }
        public double? Begin { get; set; }
        public double? End { get; set; }
        public int? RoadDirectionId { get; set; }
        public int? SettlementId { get; set; }
        public int? IntensityTotal { get; set; }
        public int? IntensityIncrease { get; set; }
        public int? IntensityMoto { get; set; }
        public int? IntensityMotoSidecar { get; set; }
        public int? IntensityCar { get; set; }
        public int? IntensityTruckTwo { get; set; }
        public int? IntensityTruckTwoSix { get; set; }
        public int? IntensityTruckSixEight { get; set; }
        public int? IntensityTruckEightFourteen { get; set; }
        public int? IntensityTruckFourteen { get; set; }
        public int? IntensityLorryTwelve { get; set; }
        public int? IntensityLorryTwelveTwenty { get; set; }
        public int? IntensityLorryTwentyThirty { get; set; }
        public int? IntensityLorryThirty { get; set; }
        public int? IntensityTractorUnderTen { get; set; }
        public int? IntensityTractorOverTen { get; set; }
        public int? IntensityBus { get; set; }
        public int? IntensityBusCoupled { get; set; }
        public int? DateAdd { get; set; }

        public virtual Region Region { get; set; }
        public virtual RoadDirection RoadDirection { get; set; }
        public virtual Road Road { get; set; }
        public virtual Settlement Settlement { get; set; }
    }
}
