using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class Node
    {
        public Node()
        {
            NodeToWay = new HashSet<NodeToWay>();
        }

        public int Id { get; set; }
        public decimal Lat { get; set; }
        public decimal Lon { get; set; }
        public bool Status { get; set; }
        public int? DateAdd { get; set; }
        public string RemoteId { get; set; }

        public virtual ICollection<NodeToWay> NodeToWay { get; set; }
    }
}
