﻿using System;
using System.Collections.Generic;

namespace  MapsDb.Models
{
        public partial class Region
    {
        public Region()
        {
            BusStop = new HashSet<BusStop>();
            CrossSection = new HashSet<CrossSection>();
            FlowIntensity = new HashSet<FlowIntensity>();
            RoadPassport = new HashSet<RoadPassport>();
            RoadService = new HashSet<RoadService>();
            RoadSurface = new HashSet<RoadSurface>();
            RoadToCategory = new HashSet<RoadToCategory>();
            RoadWidth = new HashSet<RoadWidth>();
            ServiceObject = new HashSet<ServiceObject>();
            SettlementAddressLink = new HashSet<SettlementAddressLink>();
        }

        public int RegionId { get; set; }
        public string Name { get; set; }
        public int? Index { get; set; }

        public virtual ICollection<BusStop> BusStop { get; set; }
        public virtual ICollection<CrossSection> CrossSection { get; set; }
        public virtual ICollection<FlowIntensity> FlowIntensity { get; set; }
        public virtual ICollection<RoadPassport> RoadPassport { get; set; }
        public virtual ICollection<RoadService> RoadService { get; set; }
        public virtual ICollection<RoadSurface> RoadSurface { get; set; }
        public virtual ICollection<RoadToCategory> RoadToCategory { get; set; }
        public virtual ICollection<RoadWidth> RoadWidth { get; set; }
        public virtual ICollection<ServiceObject> ServiceObject { get; set; }
        public virtual ICollection<SettlementAddressLink> SettlementAddressLink { get; set; }
    }
}
