using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class Relation
    {
        public Relation()
        {
            RelationToRoad = new HashSet<RelationToRoad>();
            WayToRelation = new HashSet<WayToRelation>();
        }

        public int Id { get; set; }
        public bool Status { get; set; }
        public string RemoteId { get; set; }
        public int DateAdd { get; set; }

        public virtual ICollection<RelationToRoad> RelationToRoad { get; set; }
        public virtual ICollection<WayToRelation> WayToRelation { get; set; }
    }
}
