﻿using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class RoadWidth
    {
        public int Id { get; set; }
        public int? RegionId { get; set; }
        public int? RoadId { get; set; }
        public double? Begin { get; set; }
        public double? End { get; set; }
        public double? WidthRoadsideLeft { get; set; }
        public double? WidthReverseRoad { get; set; }
        public double? WidthStrip { get; set; }
        public double? WidthRoadwayForward { get; set; }
        public double? WidthRoadsideRight { get; set; }
        public double? CountLaneLeft { get; set; }
        public double? CountLaneRight { get; set; }

        public virtual Region Region { get; set; }
        public virtual Road Road { get; set; }
    }
}
