﻿using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class SettlementAddressLink
    {
        public int Id { get; set; }
        public int? RoadId { get; set; }
        public int? RegionId { get; set; }
        public int? SettlementLocationId { get; set; }
        public int? SettlementId { get; set; }
        public double? Begin { get; set; }
        public double? End { get; set; }
        public double? Distance { get; set; }

        public virtual Region Region { get; set; }
        public virtual Road Road { get; set; }
        public virtual Settlement Settlement { get; set; }
        public virtual SettlementLocation SettlementLocation { get; set; }
    }
}
