using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MapsDb.Interfaces;
using MapsDb.Models;
using MapsModels.DsModels;
namespace MapsDb.DataService
{
    public class RegionDs : IRegionDs
    {
        private PostgresDbContext _context;
        public RegionDs(){
            _context = new PostgresDbContext();
        }
        public Task<IList<RegionSelectListDsM>> GetSelectListAsync(){
            return Task.Factory.StartNew(GetSelectList);
        }
        private IList<RegionSelectListDsM> GetSelectList()
        {
           return _context.Region.Select(x => new RegionSelectListDsM
            {
                RegionId = x.RegionId, 
                Name = x.Name
            }).ToList();
        }

    }
}