using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MapsDb.Interfaces;
using MapsDb.Models;
using MapsModels.DsModels;
namespace MapsDb.DataService
{
    public class SettlementDs : ISettlementDs
    {
        private PostgresDbContext _context;
        public SettlementDs(){
            _context = new PostgresDbContext();
        }
        public Task<IList<SettlementSelectListDsM>> GetSelectListAsync(){
            return Task.Factory.StartNew(GetSelectList);
        }
        private IList<SettlementSelectListDsM> GetSelectList()
        {
           return _context.Settlement.Select(x => new SettlementSelectListDsM
            {
                SettlementId = x.SettlementId, 
                Name = x.Name
            }).ToList();
        }

    }
}