using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MapsDb.Interfaces;
using MapsDb.Models;
using MapsModels.DsModels;
namespace MapsDb.DataService
{
    public class SurfaceTreatmentDs : ISurfaceTreatmentDs
    {
        private PostgresDbContext _context;
        public SurfaceTreatmentDs(){
            _context = new PostgresDbContext();
        }
        public Task<IList<SurfaceTreatmentSelectListDsM>> GetSelectListAsync(){
            return Task.Factory.StartNew(GetSelectList);
        }
        private IList<SurfaceTreatmentSelectListDsM> GetSelectList()
        {
           return _context.SurfaceTreatment.Select(x => new SurfaceTreatmentSelectListDsM
            {
                SurfaceTreatmentId = x.SurfaceTreatmentId, 
                Name = x.Name
            }).ToList();
        }

    }
}