using System.Collections.Generic;
using System.Threading.Tasks;
using MapsModels.DsModels;
using MapsDb.Models;
namespace MapsDb.Interfaces
{
    public interface IContractorDs
    {
        Task<IList<ContractorEditDsM>> GetIndexListAsync(PaginationDsM pagination);
        Task<Contractor> CreateAsync(ContractorEditDsM contractor);
        Task<Contractor> UpdateAsync(ContractorEditDsM contractor, int id);
        Task<int> DeleteAsync(int Id);
    }
}