using System.Collections.Generic;
using System.Threading.Tasks;
using MapsModels.DsModels;
using MapsDb.Models;
namespace MapsDb.Interfaces
{
    public interface ICrossSectionDs
    {
        Task<IList<CrossSectionSelectListDsM>> GetSelectListAsync();
        Task<IList<CrossSectionEditDsM>> GetIndexListAsync(PaginationDsM pagination);
        Task<CrossSection> CreateAsync(CrossSectionEditDsM CrossSection);
        Task<CrossSection> UpdateAsync(CrossSectionEditDsM CrossSection, int id);
        Task<int> DeleteAsync(int Id);
         
    }
}