using System.Collections.Generic;
using System.Threading.Tasks;
using MapsModels.DsModels;
using MapsDb.Models;
namespace MapsDb.Interfaces
{
    public interface IServiceObjectDs
    {
        Task<IList<ServiceObjectEditDsM>> GetIndexListAsync(PaginationDsM pagination);
        Task<ServiceObject> CreateAsync(ServiceObjectEditDsM serviceObject);
        Task<ServiceObject> UpdateAsync(ServiceObjectEditDsM serviceObject, int id);
        Task<int> DeleteAsync(int Id);
         
    }
}