using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class Contractor
    {
        public int Id { get; set; }
        public int RoadId { get; set; }
        public int? CrossSectionId { get; set; }
        public string ContractorName { get; set; }
        public string Info { get; set; }
        public int? RoadSectionNumber { get; set; }
        public int? ContractorSectionNumber { get; set; }
        public decimal? Begin { get; set; }
        public decimal? End { get; set; }
        public decimal Length { get; set; }
        public string RightCoords { get; set; }
        public string BeginScheme { get; set; }
        public string EndScheme { get; set; }

        public virtual CrossSection CrossSection { get; set; }
        public virtual Road Road { get; set; }
    }
}