﻿using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class RoadDirection
    {
        public RoadDirection()
        {
            FlowIntensity = new HashSet<FlowIntensity>();
            RoadService = new HashSet<RoadService>();
            RoadSurface = new HashSet<RoadSurface>();
        }

        public int RoadDirectionId { get; set; }
        public string Name { get; set; }

        public virtual ICollection<FlowIntensity> FlowIntensity { get; set; }
        public virtual ICollection<RoadService> RoadService { get; set; }
        public virtual ICollection<RoadSurface> RoadSurface { get; set; }
    }
}
