﻿using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class RoadService
    {
        public int Id { get; set; }
        public int? RoadId { get; set; }
        public int? RegionId { get; set; }
        public int? RoadDirectionId { get; set; }
        public int? OrganizationId { get; set; }
        public double? Begin { get; set; }
        public double? End { get; set; }
        public int? YearBegin { get; set; }

        public virtual Organization Organization { get; set; }
        public virtual Region Region { get; set; }
        public virtual RoadDirection RoadDirection { get; set; }
        public virtual Road Road { get; set; }
    }
}
