﻿using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class RoadSurface
    {
        public int Id { get; set; }
        public int? RoadId { get; set; }
        public int? RegionId { get; set; }
        public int? RoadDirectionId { get; set; }
        public int? SurfaceTypeId { get; set; }
        public int? SurfaceTreatmentId { get; set; }
        public int? StateCommonId { get; set; }
        public int? CrossSectionNumber { get; set; }
        public double? Begin { get; set; }
        public double? End { get; set; }
        public int? LaneCountLeft { get; set; }
        public int? LaneCountRight { get; set; }
        public string RoadSurfaceConstructionId { get; set; }
        public double? ElastisityModule { get; set; }

        public virtual Region Region { get; set; }
        public virtual RoadDirection RoadDirection { get; set; }
        public virtual Road Road { get; set; }
        public virtual StateCommon StateCommon { get; set; }
        public virtual SurfaceTreatment SurfaceTreatment { get; set; }
        public virtual SurfaceType SurfaceType { get; set; }
    }
}
