﻿using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class ServiceObject
    {
        public int Id { get; set; }
        public int? RoadId { get; set; }
        public int? RegionId { get; set; }
        public int? ServiceObjectTypeId { get; set; }
        public int? SettlementId { get; set; }
        public int? DepartmentAffiliationId { get; set; }
        public double? LocationRight { get; set; }
        public double? LocationLeft { get; set; }
        public double? LocationAxis { get; set; }
        public double? Distance { get; set; }
        public double? Capacity { get; set; }
        public string ArrangementElements { get; set; }

        public virtual DepartmentAffiliation DepartmentAffiliation { get; set; }
        public virtual Region Region { get; set; }
        public virtual Road Road { get; set; }
        public virtual ServiceObjectType ServiceObjectType { get; set; }
        public virtual Settlement Settlement { get; set; }
    }
}
