﻿using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class Settlement
    {
        public Settlement()
        {
            BusStop = new HashSet<BusStop>();
            FlowIntensity = new HashSet<FlowIntensity>();
            ServiceObject = new HashSet<ServiceObject>();
            SettlementAddressLink = new HashSet<SettlementAddressLink>();
        }

        public int SettlementId { get; set; }
        public string Name { get; set; }
        public string Sign { get; set; }

        public virtual ICollection<BusStop> BusStop { get; set; }
        public virtual ICollection<FlowIntensity> FlowIntensity { get; set; }
        public virtual ICollection<ServiceObject> ServiceObject { get; set; }
        public virtual ICollection<SettlementAddressLink> SettlementAddressLink { get; set; }
    }
}
