﻿using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class SurfaceType
    {
        public SurfaceType()
        {
            BusStop = new HashSet<BusStop>();
            CrossSection = new HashSet<CrossSection>();
            RoadSurface = new HashSet<RoadSurface>();
        }

        public int SurfaceTypeId { get; set; }
        public string Name { get; set; }

        public virtual ICollection<BusStop> BusStop { get; set; }
        public virtual ICollection<CrossSection> CrossSection { get; set; }
        public virtual ICollection<RoadSurface> RoadSurface { get; set; }
    }
}
