using System;
using System.Collections.Generic;

namespace MapsDb.Models
{
    public partial class Way
    {
        public Way()
        {
            NodeToWay = new HashSet<NodeToWay>();
            WayToRelation = new HashSet<WayToRelation>();
        }

        public int Id { get; set; }
        public bool Status { get; set; }
        public string RemoteId { get; set; }
        public int DateAdd { get; set; }

        public virtual ICollection<NodeToWay> NodeToWay { get; set; }
        public virtual ICollection<WayToRelation> WayToRelation { get; set; }
    }
}
